Bug 1313776 - ec-read-policy.t can report a false-failure
ec-read-policy.t can report a false-failure
Product: GlusterFS
Classification: Community
Component: disperse (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xavi Hernandez
: Triaged
Depends On: 1313775
  Show dependency treegraph
Reported: 2016-03-02 05:37 EST by Xavi Hernandez
Modified: 2016-04-19 03:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.7.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1313775
Last Closed: 2016-03-29 02:25:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Xavi Hernandez 2016-03-02 05:37:54 EST
+++ This bug was initially created as a clone of Bug #1313775 +++

Description of problem:

One of the tests in ec-read-policy.t checks for READ operations in all bricks using the output of a 'gluster volume profile' command and couting lines containing "READ". This can fail if, for some reason, one or more bricks has also executed a READDIR fop.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:

--- Additional comment from Vijay Bellur on 2016-03-02 11:36:37 CET ---

REVIEW: http://review.gluster.org/13575 (tests: Fix spurious failure of ec-read-policy.t) posted (#1) for review on master by Xavier Hernandez (xhernandez@datalab.es)
Comment 1 Vijay Bellur 2016-03-02 05:41:24 EST
REVIEW: http://review.gluster.org/13576 (tests: Fix spurious failure of ec-read-policy.t) posted (#1) for review on release-3.7 by Xavier Hernandez (xhernandez@datalab.es)
Comment 2 Vijay Bellur 2016-03-02 11:22:07 EST
COMMIT: http://review.gluster.org/13576 committed in release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
commit f7063e738c16ae89d49968cdf4161792fae5431e
Author: Xavier Hernandez <xhernandez@datalab.es>
Date:   Wed Mar 2 11:35:44 2016 +0100

    tests: Fix spurious failure of ec-read-policy.t
    >Change-Id: I5297e24dd10cbfbcd671fe630ae3e960b9daa8f8
    >Reviewed-on: http://review.gluster.org/13575
    >BUG: 1313775
    >Signed-off-by: Xavier Hernandez <xhernandez@datalab.es>
    Change-Id: Ib0ea04a9040400ea67c141592e2ba34e40272408
    BUG: 1313776
    Signed-off-by: Xavier Hernandez <xhernandez@datalab.es>
    Reviewed-on: http://review.gluster.org/13576
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
Comment 3 Raghavendra Talur 2016-03-10 02:42:09 EST
"tests" component is for tests framework only.
File a bug under test component if you find a bug in 
1. any of the *.rc files under tests/ 
2. run-tests.sh

For everything else, the bug should be filed on
1. component which is being tested by .t file if the .t file requires fix.
2. component which is causing a valid .t file to fail in regression.

I have used my best judgement here to move the bug to right component.
In case of ambiguity, I have placed the blame on the .t file component.

Please consider test bugs under the same backlog list that tracks other bugs in your component.
Comment 4 Kaushal 2016-04-19 03:22:29 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.9, please open a new bug report.

glusterfs-3.7.9 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://www.gluster.org/pipermail/gluster-users/2016-March/025922.html
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.